[amd64 + nvidia 8xxx] usplash shows nothing

Bug #147623 reported by Filiprino on 2007-10-01
382
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libx86 (Ubuntu)
High
Kees Cook
Declined for Dapper by Henrik Nilsen Omma
Declined for Edgy by Henrik Nilsen Omma
Declined for Feisty by Henrik Nilsen Omma
Declined for Gutsy by Henrik Nilsen Omma
Hardy
High
Kees Cook
usplash (Ubuntu)
High
Unassigned
Declined for Dapper by Henrik Nilsen Omma
Declined for Edgy by Henrik Nilsen Omma
Declined for Feisty by Henrik Nilsen Omma
Declined for Gutsy by Henrik Nilsen Omma
Hardy
High
Unassigned

Bug Description

This bug happens with a nvidia geforce 8xxx card and ubuntu amd64

I have a fresh install of Gutsy Gibbon Beta, on an EM64T architecture. The problem is that after selecting the GRUB menu entry to boot Ubuntu, the screen turns black and does not show nothing again.
In order to boot Ubuntu, I have to edit the boot options and change "splash" to "nosplash". It is possible to make usplash working by using the blacklisted vesafb framebuffer.

Workaround to remove usplash :
1. At boot, press Esc to access the boot menu.
2. Choose ubuntu and the press the "e" key to edit
3. With the arrow keys, go to the "kernel" line and press "e" to edit
4. Remove "splash" and "quiet" from the line and press "enter"
5. Press "b" to boot your computer.

To remove usplash permanently, you can remove "splash" and "quiet" from the kernel line in your /boot/grub/menu.lst file.

Vasilii (fredrik-andersson80-2) wrote :

I have this problem to.

AMD X2 6000+
M2N-SLI Deluxe
MSI Geforce 8800GTS (oc) 640mb

Svein Harald Soleim (sveinh) wrote :

Same for me. Also is the same for the live cd. (which make it useless as an installer)

I have a core2duo and a Geforce 8800GTS

Filiprino (filiprino) wrote :

As said in the comment above, it also happens in the LiveCD.
My hardware is the following one:
CPU: Core 2 Quad Q6600
Memory: 4GB RAM
VGA: 8800GTS 320MB
Motherboard: Asus Commando.
Monitor: Philips 200WS (TFT-LCD 20.1", 1680x1050, using DVI connector).

Svein Harald Soleim (sveinh) wrote :

Hope it will get fixed before gutsy final. This bug has been present since feisty at least.

Vasilii (fredrik-andersson80-2) wrote :

/rant on. I don't think they will, The developers doesn't care about bugs only about adding more stuff and bloating stuff up. We have had a flash issue in Ubuntu for several releases and they fixed it yet and now this. They haven't even looked at this report yet it seems. The developers might wanna rethink some stuff, why bloating stuff up with a unstable Compiz-Fusion when we have some nasty bugs that just keeps on living release through release? /rant off.

Filiprino (filiprino) wrote :

If they don't fix it for this release, they should do it for the next one, which is supposed to have Long Term Support.

Skoal (skoalstr8) wrote :

Same problem here - Screen stays black, and won't even boot into X. Only solution to remove "splash" from menu.lst.

x64x2, 8800GTS

I tried modifying my initrd to include "fbcon" - same results.
I tried modifying CONSOLE_SCREEN="true" in /etc/init.d/usplash - same results.
I tried passing the vga= option in kernel paramater list - same results.

The only error in dmesg is: [ 21.000414] ACPI: Looking for DSDT in initramfs... error, file /DSDT.aml not found.

The other message (possibly related) I could find in syslog or kern:
Oct 7 11:27:05 morpheus kernel: [ 33.921595] Console: colour VGA+ 80x25
Oct 7 11:27:05 morpheus kernel: [ 33.921607] Checking aperture...
Oct 7 11:27:05 morpheus kernel: [ 33.921609] CPU 0: aperture @ 9aa0000000 size 32 MB
Oct 7 11:27:05 morpheus kernel: [ 33.921611] Aperture too small (32 MB)
Oct 7 11:27:05 morpheus kernel: [ 33.926056] No AGP bridge found

So, I guess it's back to old skool scrolling text for now.

Paco Avila (monkiki) wrote :

Same bug, but in install CD its woking ok :/ . Workaround: change "splash" to "nosplash" in menu.lst. In Feisty was working fine :( My computer is a laptop with this hardware:

00:00.0 Host bridge: Intel Corporation 82830 830 Chipset Host Bridge (rev 02)
00:01.0 PCI bridge: Intel Corporation 82830 830 Chipset AGP Bridge (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801CA/CAM USB Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801CA/CAM USB Controller #2 (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 41)
00:1f.0 ISA bridge: Intel Corporation 82801CAM ISA Bridge (LPC) (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801CAM IDE U100 Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801CA/CAM SMBus Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801CA/CAM AC'97 Audio Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY
02:04.0 Communication controller: Conexant HSF 56k HSFi Modem (rev 01)
02:05.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link)
02:06.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller (rev 01)
02:08.0 Ethernet controller: Intel Corporation 82801CAM (ICH3) PRO/100 VE (LOM) Ethernet Controller (rev 41)
03:00.0 Network controller: RaLink RT2561/RT61 rev B 802.11g

Steven Bower (kickboy) wrote :

I'm also experiencing this problem on Gutsy RC. I did not have this problem on Feisty, and nothing in my computer specs has changed.

Mobo: Asus Crosshair
CPU: AMD64x2 6000+
Video: EVGA GeForce 8800GTS (640MB)
RAM: 2GB XMS2 DDR2-800
Monitor: Dell Trinitron (Could not find model number)

Is it just me, or does it seem everyone here having this problem is running a 8800GTS? Possibly an nvidia driver incompatibility issue?

I really hope this is fixed before final release.

Lucazade (lucazade) wrote :

same for me on a Thinkpad T40 (mobility 7500)..
i can boot hitting Alt+F2 after grub or removing splash from menu.lst

I don't want to believe this issue will not be solved before the release! :)

Steven Bower (kickboy) wrote :

If you want this bug to be more noticed, I suggest nominating it for release in gutsy. (Click the "Nominate for release" link in the side nav on this page)

I have doubts that it will be fixed in time for the final release next week, but I'm sure it will be fixed at some point before the next release cycle.

Lucazade (lucazade) wrote :

i've Nominated for feisty 'cos Gutsy option isn't avaible :)

Hi, greetings from Italy... unfortunately I'm experiencing the same issue.
I'm using Ubuntu 7.10 RC (AMD64 edition) on a:

AMD Athlon64 3000+
1 GB Dual Channel DDR RAM
Nvidia 7300GT

I tried changing into several VGA modes but it didn't help.
I experienced the same results as the other users.

gururise (gururise) wrote :

Same issue on Q6600
4GB Ram
Nvidia 8500GT using DVI

With Gutsy 7.10 Release Candidate (64 Bit).

Changed in usplash:
status: New → Confirmed
gururise (gururise) wrote :

Unable to nominate anymore.... Hopefully this will be fixed soon.

Ville Takanen (ville-takanen) wrote :

It seems that the "nosplash" workaround fixes kernel 2.6.22-14 booting on ubuntu gutsy RC.

on Gutsy

1) edit the grub menu file:
sudo gedit /boot/grub/menu.lst

2) find the line that says
kernel /boot/vmlinuz-2.6.22-14-generic root=UUID=289068d7-1370-4197-9c9c-0158604be66b ro quiet splash

3)change the splash to nosplash - afterwards the line looks like this
kernel /boot/vmlinuz-2.6.22-14-generic root=UUID=289068d7-1370-4197-9c9c-0158604be66b ro quiet nosplash

This fixed my box - home it helps others.

The problem is that my Ubuntu 64 doesn't boot at all, so I can't "sudo gedit" :). You have to disable it directly from Grub.

Press Esc to bypass the Grub countdown, press 'e' to start editing, scroll down to "# defoptions" line, press e to start edit, delete the options 'quiet' and / or 'splash' with the delete key, press Esc again and then 'b' to boot.

inzpektor (henrikstig) wrote :

Black screen here too. Here's my bootchart. Thinkpad T41 with Radeon Mobility 7500. Seems like usplash is using just a bit more CPU than it used to :-)

inzpektor (henrikstig) wrote :

OBTW, the vga=normal was a wild gues - didn't work. It does the same with "quiet".

Johannes Hessellund (osos) wrote :

I solved the issue by changing the usplash resolution in /etc/usplash.conf.

Johannes Hessellund (osos) wrote :

I solved the issue by changing the usplash resolution in /etc/usplash.conf to 1024x768.

You need to update-initramfs.

Tom Badran (tom-badran) wrote :

I can also confirm this bug with geforce 8800 on amd64

Also confirming it is definately 64 bit specific, as 32 bit gutsy is fine. Would have jumped in earlier, but didnt start using 64 bit build till gutsy was released.

Svein Harald Soleim (sveinh) wrote :

Importance: Undecided

Come on this is clearly a blocker. Think about when Jo Average want to check out ubuntu. He is a gamer and have therefor a 8800. Since he is not broke he also have a core2 or amd 64. So what happend when he tries out the new cool 64 ubuntu edition? Black screen. "Crappy linux" backu to window for him. No way he will edit grub to get it to work.

grkravi (grkravi) wrote :

I am having this black screen problem from Edgy days...i couldnt boot from LiveCD/LiveUSB but i am able to upgrade without any issues.
I am using Dell Inspiron 5160 with XGI Trident Volari XP5 video card. Surprised that we still keep getting this issue with each new version!
To add, this black screen is not allowing to to do anything...ctrl+alt+F1 is not working nor is ctrl+alt+backspace.
Adding to boot options things like "noacpi" or "nosplash" or "noapic nolapic" etc is not working.
safe graphics mode doesnt work either.
No way to get to terminal, so cant reconfigure xserver-xorg.
And this is not just related to ATI.
This is one such issue needing resolution to help fix BUG#1.

Henrik Nilsen Omma (henrik) wrote :

This bug was nominated for several stable releases but does currently not qualify for a stable release update (SRU) and the nominations were therefore declined (the Hardy one remains). According the the SRU policy, the fix should already be deployed and tested in the current development version before an update to the stable releases will be considered. With 7.10 now released, that policy applies to this bug. See: https://wiki.ubuntu.com/StableReleaseUpdates

It would help if those experiencing the bug could follow https://wiki.ubuntu.com/KernelTeamBugPolicies and provide the requested debugging files. Also please test with the Hardy kernels on the next few alpha releases. Thanks!

1 comments hidden view all 142 comments
Ville Takanen (ville-takanen) wrote :
Ville Takanen (ville-takanen) wrote :
Ville Takanen (ville-takanen) wrote :
Ville Takanen (ville-takanen) wrote :
Ville Takanen (ville-takanen) wrote :

I added the files requested in https://wiki.ubuntu.com/KernelTeamBugPolicies . Note that these files are generated with nosplash kernel option, as the hardy alpha desktop cd (amd64) will not boot with default options.

Henrik Nilsen Omma (henrik) wrote :

Thanks for the log files. Targeting for Hardy.

Changed in usplash:
importance: Undecided → Medium
Filiprino (filiprino) wrote :
Filiprino (filiprino) wrote :
Filiprino (filiprino) wrote :
Filiprino (filiprino) wrote :

I've added the log files using Gutsy Gibbon with the latest kernel released. Next I'll try with the latest alpha of Hardy.
I'm using the nosplash boot option because gutsy won't boot up (well, using nosplash you actually reproduce the bug).

Filiprino (filiprino) wrote :
Filiprino (filiprino) wrote :
Filiprino (filiprino) wrote :
description: updated
Changed in usplash:
importance: Medium → High
description: updated
description: updated
Changed in usplash:
status: Confirmed → Triaged
62 comments hidden view all 142 comments
thecure (keith-k) wrote :

Forget my last comment. I see the problems with vesafb, especially with TV out. It seems as though uvesafb corrects the problems inherent in vesafb. On a side note I have no problem with TV out except small text is unreadable with such low resolution.

Jan Rathmann (kaiserclaudius) wrote :

In Hardy with all current updates the mentioned workaround doesn't work flawless anymore. At the first stage of the boot process where the progress bar of the splash screen goes back and forth between left and right everything seems as usual. But when the progress bar normally would change to the "report boot progress mode" (I don't know how to describe it better ;) ) the entire splash screen disappears and only a blinking text cursor is shown which changes it's screen position wildly during the continueing boot process. The start of the X-server works but all TTYs show likewise only a blinking cursor but nothing else (allthough they seem to work, if I do a "blind" login, the cursor changes it's position as it would do when text would be displayed). I have not found a way to get the splash working properly so far.

Kind regards,
Jan

Just want to change my statement earlier about the vesafb workaround, as of
the latest kernel my ttys are all blank except for the blinking cursor.

Steve Langasek (vorlon) wrote :

There was a regression introduced in the initramfs-tools package regarding vesafb introduced some time in the past week, this should be fixed in initramfs-tools 0.85eubuntu34. You should be able to get ttys working again using the update-initramfs command and rebooting.

On my side nothing has changed yet.

On Wed, Mar 19, 2008 at 5:27 AM, Steve Langasek <
<email address hidden>> wrote:

> There was a regression introduced in the initramfs-tools package
> regarding vesafb introduced some time in the past week, this should be
> fixed in initramfs-tools 0.85eubuntu34. You should be able to get ttys
> working again using the update-initramfs command and rebooting.
>
> --
> [amd64 + nvidia 8xxx] usplash shows nothing
> https://bugs.launchpad.net/bugs/147623
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Jan Rathmann (kaiserclaudius) wrote :

Same for me, I still haven't found any way in Hardy to get the splash screen working properly again.

TTYs are working when I don't change the default setup which means no splash at all is shown. If I apply the workaround described above that worked in Gutsy, TTYs are still blank and still only the first stage of the splash screen is working.

Kind regards,
Jan

Master Ar2ro (ar2ro) wrote :

I have the same problem here on the latest hardy-desktop-amd64 image. I have a 8800GT and Core2 Duo E8400. The systems loads just fine, but usplash just makes the screen say no signal and go into power saving mode (it goes back to normal once I wait long enough for the system to load).

There's a lot of noise in the bug from the metoos, so this will probably get lost in the noise, but I'd like point out one way in which this bug has a very negative impact on user experience. If a user sets up drive encryption through the installer, they are asked for a password on bootup. If you are using usplash, and usplash fails to display, then the user has no indication that they should type in their password. I verified that I can just wait a few seconds and type my password even though I can't see the screen, but that's not the ideal experience, nor the obvious response. I can get around it by running a 32 bit OS or by disabling usplash.

Hopefully the fact that this bug is high priority will mean that it gets fixed, but just in case, I wanted to make sure the developers were aware of this additional negative impact and encourage that this get fixed in some manner, even disabling usplash if encryption is selected, before the hardy release. Given the increase in popularity of disk encryption and 64 bit, I think this is likely to pop up a great deal if it isn't fixed.

Jaroslav Šmíd (jardasmid) wrote :

It seems to me that this is not usplash bug. When I add change splash option to nosplash I get text output, but when I add "vga=795" it shows nothing. It could be framebuffer bug.

Daniel Lehmann (leh) wrote :

I can also confirm this with Hardy Beta on my T61 (Nvidia Quadro NVS 140m).
This happens with the 64-bit version only; with 32-bit the boot splash works normally.

Ari (ari-reads) wrote :

Confirmed, Hardy Beta x64, clean install, nvidia 8600gt, with open source driver and propietary driver alike.

Filiprino (filiprino) wrote :

Me too. Ubuntu 8.04 (Hardy Heron) Beta Release LiveCD session AMD64. The bug is still present...

My hardware (stated at the first posts of this bug report):
CPU: Core 2 Quad Q6600
Memory: 4GB RAM
VGA: 8800GTS 320MB
Motherboard: Asus Commando.
Monitor: Philips 200WS (TFT-LCD 20.1", 1680x1050, using DVI connector).

LEVIS Cyril (atlas95) wrote :

Core2duo T7500
4gB RAM
Nvidia 8400gs

and the bug too with AMD64

Saivann Carignan (oxmosys) wrote :

Thanks everyone for keeping active on this bug report. Since this bug is confirmed with recent nvidia cards since a while, please don't add additional comments unless you can provide new technical informations that can help the bug getting fixed. Reducing noise in this bug report will probably help developers to find relevant informations inside it and fix this bug faster.

Kees Cook (kees) wrote :

libx86 (0.99-1.2ubuntu3) hardy; urgency=low

  * Add xorg upstream fixes for cpuid, rdtsc, bsr, bsf opcodes, from upstream
    http://gitweb.freedesktop.org/?p=xorg/xserver.git (LP: #147623).
    - 66fa87292ef26bd0f464481287f3af992cd5741c
    - c4b7e9d1c16797c3e4b1200b40aceab5696a7fb8
    - 2fe74ef339c3a4902ae8214f5a0454662895422c
    - 66f8001b61d12eaf4905ac71ccbb3f304914d00d

Changed in libx86:
assignee: nobody → keescook
importance: Undecided → High
status: New → Fix Released
Kees Cook (kees) wrote :

This was a bug in x86emu code (amd64) in libx86, which is what usplash uses to do video BIOS calls. Many thanks to mjg59 for explaining to me how everything hangs together. :)

Changed in usplash:
status: Triaged → Invalid
Saivann Carignan (oxmosys) wrote :

Kees Cook : MANY thanks to you and Matthew Garrett! Great work!

Filiprino (filiprino) wrote :

Now writing from the latest daily build. The fix works. Good job.
Nice to see free software development model works great =)

Harvey Muller (hlmuller) wrote :

Kees, mjg59, and the rest,

Thanks for your efforts in resolving this. It improves the Core2Duo amd64 experience.

Harvey

Jan Rathmann (kaiserclaudius) wrote :

On my system this seems to be not completely fixed. I have done a fresh installation with daily-live image 20080322, booting the live CD works fine, but when I boot the installed system, I get the splash screen only during the first boot stage (when the progress bar goes from left to right and vice versa), at the second stage of the boot process only text output is shown, same as if I would boot without the 'splash'-option in /boot/grub/menu.lst . TTYs are working fine. I could try to make a video of my system during boot if that would help.

Nevertheless I would also like to say huge thanks to all people fixing this issue!

Kind regards,
Jan

LEVIS Cyril (atlas95) wrote :

Thanks ! Where can we get the fix :D ?

Saivann Carignan (oxmosys) wrote :

When a bug is set to fix released, it means that a update has been released that fix this problem. All you have to do is to update your computer. This bug is fixed in Hardy with libx86 (0.99-1.2ubuntu3). It will probably don't get fixed in Gutsy

I updated my system completely, and I get usplash ONLY when shutting down, not when booting up. I don't get TTY's, nothing, just a blank screen when starting up.

Also, I'm confused why this won't be fixed in Gutsy, by not fixing it in Gutsy you'd be ending the eighteen month support cycle VERY early.

I also verified that I do have the package that you mentioned installed.

On Sat, Mar 22, 2008 at 07:05:33PM -0000, Jeremy LaCroix wrote:
> I also verified that I do have the package that you mentioned installed.

You may need to run "sudo update-initramfs -u" to see the changes happen
during boot-time.

As for Gutsy, this may not be valid for a Stable Release Update. (Also
note that it never worked in Gutsy.)

Filiprino (filiprino) wrote :

I just made a fresh install of the daily build 20080322 and it works without any problems. No black screens, no text scrolling on it, just the progress bar, as it should be.

thecure (keith-k) wrote :

confirmed-fixed Dell 1420; 1440x900 LCD; Nvidia 8400M GS

Great Job!

I ran "sudo update-initramfs -u" and it's fixed now. :)

Kees Cook wrote:
> On Sat, Mar 22, 2008 at 07:05:33PM -0000, Jeremy LaCroix wrote:
>
>> I also verified that I do have the package that you mentioned installed.
>>
>
> You may need to run "sudo update-initramfs -u" to see the changes happen
> during boot-time.
>
> As for Gutsy, this may not be valid for a Stable Release Update. (Also
> note that it never worked in Gutsy.)
>
>

Jasey (jason-rivers) wrote :

wooooo!

that's the first time i've seen that screen on this PC - and i've had it for almost a year.....

Thanks!!!

Jan Rathmann (kaiserclaudius) wrote :

Forget my last comment, the cause for the abnormal boot behaviour of my system was that I had messed up boot options in /boot/grub/menu.lst.

To boot my system I am using grub from my Gutsy installation and thus the menu.lst doesn't get rewritten if I install Hardy. Some time ago I had added 'resume=/var/cache/swapfile' to the kernel line of the Hardy entry and it just remained there allthough I had never recreated the swap file in later installations. I never thought this was a problem, but if I remove this option, Hardy is booting just fine.

So everything is working now for me, sorry for the noise.

Kind regards,
Jan

Xavier Guillot (valeryan-24) wrote :

Hello,

I still have the same problem at boot, but the exact message is :

Undefined video mode number: 312

I have Ubuntu Hardy beta with all the updates done, an AMD dual Core X2 6400+ and as graphic card ATI Radeon X1950 Pro

I "just" have to click on space button to continue booting, I did not try the solutions listed above as I do not have a Nvidia, I do not know if bug should be fixed or not...

Best regards,

Xavier

Kees Cook (kees) wrote :

On Fri, Mar 28, 2008 at 10:00:11PM -0000, Valeryan_24 wrote:
> I still have the same problem at boot, but the exact message is :
> Undefined video mode number: 312

Please open a new bug report for the problem you're seeing. The
original libx86 missing-opcodes bug (this one) is already fixed.
Thanks!

Xavier Guillot (valeryan-24) wrote :

Hello,

In my case it was not a bug, thanks to Saïvann I could correct the problem :

I had the comment "vga=786" in my file /boot/grub/menu.lst

I removed it and there is no more message at boot.

So no report needed for this.

Best regards.

Raúl Pedroche (pedroche) wrote :

HOWTO: end user fix in Gutsy without upgrading to Hardy

---8<---
sudo apt-get install fakeroot build-essential
sudo apt-get build-dep libx86-1
wget http://archive.ubuntu.com/ubuntu/pool/main/libx/libx86/libx86_0.99-1.2ubuntu3.dsc
wget http://archive.ubuntu.com/ubuntu/pool/main/libx/libx86/libx86_0.99-1.2ubuntu3.tar.gz
tar xzvf libx86_0.99-1.2ubuntu3.tar.gz
cd libx86-0.99
fakeroot deb-buildpackage
cd ..
sudo dpkg -i libx86-1_0.99-1.2ubuntu3_amd64.deb
sudo update-initramfs -u
---8<---

I know Hardy is less than a month away, but the same source code for it works in Gutsy without modification, so I can not understand why the bug has got "status: declined". It is an actual bug, not a new feature, and it was reported in Gutsy beta six months ago.

Bram Stolk (b-stolk) wrote :

This happens also on 32 bit intel.

I have two graphic cards.
One is nVidia 6600
Other is nVidia 8600GT

The 6600 works with usplash
THe 8600 does not work with usplash. It does work with X though.

THis is on a 7.10 xubuntu install.

Also, I noticed I don't have my text consoles when using the 8600.
When removing the 8600, and using the 6600, my text consoles and usplash work.

  Bram

I recently upgraded to the Hardy Beta. I still had this trouble at first. But I then installed the proprietary drivers as well as all the other updates available and now my usplash is working great! This is now solved for me!!!

Alberto (albertop) wrote :

Does also work the text terminals (tty1-6)?

AJenbo (ajenbo) wrote :

I didn't have this issue with 8.04.1 at all on my 8800GTS

Frank (elcondor1008) wrote :

I have same problems with ASUS MSN-MX SE PLUS motherboard.
Same hardware on 2 pc's, on one is Ubuntu 7.10 Hardy, on another Ubuntu 8.04
Several times problems with a Nvidia GeForce 6150 SE , blank screen, manual changing of resolution did help.
Apparently, there is a release of new Nvidia VGA driver, maybe life will get better.

Now, Nvidia nforce Network card controller isn't working on the both machines (Ubuntu 7.10 and Ubuntu 8.04).
Tip with nosplash, or removing quite option during the boot didn't help.

Seems that this hardware is of trash quality.
I don't know any list of recommended hardware by Ubuntu, this would help, because, I'll need several more PC's for company that I'm working for.

Bert Van de Poel (bhack) wrote :

Ubuntu 7.10 is Gutsy, not Hardy and Gutsy isn't supported anymore for as
far as I know.
It is also not the fault of the graphics card but a combination of all
sorts of issues on quite a few sides, I did some kind of workaround to
fix this but I don't remember it (I'm on hardy now and planning to
migrate to jaunty soon).

The nvidia nforce chipset has nothing to do with the bug, it's just the
graphics card. Also, my nforce ethernet works just fine, no special
configuration required, it works fine with the forcedeth drivers that
are builtin. I guess upgrading might be a good idea.

Also, I'm not sure whether the 6000series need the new or the legacy
nvidia drivers from the repo.

I clearly want to state that nvidia hardware is not trash, I personally
consider it as very good hardware.
On linux drivers it's usually something like this if we're talking just
about graphics:
intel > nvidia > ati (not talking about Via and other, smaller players).

About the recommended hardware: https://wiki.ubuntu.com/HardwareSupport/

Frank schreef:
> I have same problems with ASUS MSN-MX SE PLUS motherboard.
> Same hardware on 2 pc's, on one is Ubuntu 7.10 Hardy, on another Ubuntu 8.04
> Several times problems with a Nvidia GeForce 6150 SE , blank screen, manual changing of resolution did help.
> Apparently, there is a release of new Nvidia VGA driver, maybe life will get better.
>
> Now, Nvidia nforce Network card controller isn't working on the both machines (Ubuntu 7.10 and Ubuntu 8.04).
> Tip with nosplash, or removing quite option during the boot didn't help.
>
> Seems that this hardware is of trash quality.
> I don't know any list of recommended hardware by Ubuntu, this would help, because, I'll need several more PC's for company that I'm working for.
>
>

--
Bert Van de Poel
webdeveloper and administrator
bhack.net and rpgfamilie.net

Displaying first 40 and last 40 comments. View all 142 comments or add a comment.